<?php

namespace App\Controllers\CLI\DBMigration;

use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;

class ItsolutionSource extends BaseSource
{
  public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
  {
    parent::initController($request, $response, $logger);
  }

  protected function getDBHost(): string
  {
    return 'localhost';
  }
  protected function getDBUser(): string
  {
    return 'idc';
  }
  protected function getDBPassword(): string
  {
    #return env('sourcedb.password', '');
    return (string) config('Database')->default['password'];
  }
  protected function getDBName(): string
  {
    return 'itsolution';
  }
}
